pcl::visualization::PointCloudGeometryHandlerCustom< PointT > Class Template Reference
Module visualization

Custom handler class for PointCloud geometry. More...

`#include <pcl/visualization/point_cloud_geometry_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudGeometryHandlerCustom< PointT >:

## Public Types

typedef PointCloudGeometryHandler< PointT >::PointCloud | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointCloudGeometryHandlerCustom< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudGeometryHandlerCustom< PointT > > | ConstPtr
Public Types inherited from pcl::visualization::PointCloudGeometryHandler< PointT >
typedef pcl::PointCloud< PointT > | PointCloud
typedef PointCloud::Ptr | PointCloudPtr
typedef PointCloud::ConstPtr | PointCloudConstPtr
typedef boost::shared_ptr< PointCloudGeometryHandler< PointT > > | Ptr
typedef boost::shared_ptr< const PointCloudGeometryHandler< PointT > > | ConstPtr

## Public Member Functions

| PointCloudGeometryHandlerCustom (const PointCloudConstPtr &cloud, const std::string &x_field_name, const std::string &y_field_name, const std::string &z_field_name)
| Constructor. More...
virtual std::string | getName () const
| Class getName method. More...
virtual std::string | getFieldName () const
| Get the name of the field used. More...
virtual void | getGeometry (vtkSmartPointer< vtkPoints > &points) const
| Obtain the actual point geometry for the input dataset in VTK format. More...
Public Member Functions inherited from pcl::visualization::PointCloudGeometryHandler< PointT >
| PointCloudGeometryHandler (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudGeometryHandler ()
| Destructor. More...
bool | isCapable () const
| Checl if this handler is capable of handling the input data or not. More...
void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::visualization::PointCloudGeometryHandler< PointT >
PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_x_idx_
| The index of the field holding the X data. More...
int | field_y_idx_
| The index of the field holding the Y data. More...
int | field_z_idx_
| The index of the field holding the Z data. More...
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud. More...

## Detailed Description

### template<typename PointT>
class pcl::visualization::PointCloudGeometryHandlerCustom< PointT >

Custom handler class for PointCloud geometry.

Given an input dataset and three user defined fields, all data present in them is extracted and displayed on screen as XYZ data.

Author
  Radu B. Rusu

Definition at line 232 of file point_cloud_geometry_handlers.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT >

typedef boost::shared_ptr<const PointCloudGeometryHandlerCustom<PointT> > pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::ConstPtr

Definition at line 240 of file point_cloud_geometry_handlers.h.

## PointCloud

template<typename PointT >

typedef PointCloudGeometryHandler<PointT>::PointCloud pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::PointCloud

Definition at line 235 of file point_cloud_geometry_handlers.h.

## PointCloudConstPtr

template<typename PointT >

typedef PointCloud::ConstPtr pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::PointCloudConstPtr

Definition at line 237 of file point_cloud_geometry_handlers.h.

## PointCloudPtr

template<typename PointT >

typedef PointCloud::Ptr pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::PointCloudPtr

Definition at line 236 of file point_cloud_geometry_handlers.h.

## Ptr

template<typename PointT >

typedef boost::shared_ptr<PointCloudGeometryHandlerCustom<PointT> > pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::Ptr

Definition at line 239 of file point_cloud_geometry_handlers.h.

## Constructor & Destructor Documentation

## PointCloudGeometryHandlerCustom()

template<typename PointT >

pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::PointCloudGeometryHandlerCustom | ( | const PointCloudConstPtr & | cloud,
|  | const std::string & | x_field_name,
|  | const std::string & | y_field_name,
|  | const std::string & | z_field_name
| ) |  |

inline

Constructor.

Definition at line 243 of file point_cloud_geometry_handlers.h.

References pcl::visualization::PointCloudGeometryHandler< PointT >::capable_, pcl::visualization::PointCloudGeometryHandler< PointT >::field_x_idx_, pcl::visualization::PointCloudGeometryHandler< PointT >::field_y_idx_, pcl::visualization::PointCloudGeometryHandler< PointT >::field_z_idx_, pcl::visualization::PointCloudGeometryHandler< PointT >::fields_, and pcl::getFieldIndex().

## Member Function Documentation

## getFieldName()

template<typename PointT >

virtual std::string pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::getFieldName | ( |  | ) | const

inline virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudGeometryHandler< PointT >.

Definition at line 267 of file point_cloud_geometry_handlers.h.

## getGeometry()

template<typename PointT >

virtual void pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::getGeometry | ( | vtkSmartPointer< vtkPoints > & | points | ) | const

inline virtual

Obtain the actual point geometry for the input dataset in VTK format.

Parameters

  [out] | points | the resultant geometry

Implements pcl::visualization::PointCloudGeometryHandler< PointT >.

Definition at line 273 of file point_cloud_geometry_handlers.h.

References pcl::visualization::PointCloudGeometryHandler< PointT >::capable_, pcl::visualization::PointCloudGeometryHandler< PointT >::cloud_, pcl::visualization::PointCloudGeometryHandler< PointT >::field_x_idx_, pcl::visualization::PointCloudGeometryHandler< PointT >::field_y_idx_, pcl::visualization::PointCloudGeometryHandler< PointT >::field_z_idx_, and pcl::visualization::PointCloudGeometryHandler< PointT >::fields_.

## getName()

template<typename PointT >

virtual std::string pcl::visualization::PointCloudGeometryHandlerCustom< PointT >::getName | ( |  | ) | const

inline virtual

Class getName method.

Implements pcl::visualization::PointCloudGeometryHandler< PointT >.

Definition at line 263 of file point_cloud_geometry_handlers.h.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/visualization/include/pcl/visualization/point_cloud_geometry_handlers.h